Debian Bug report logs - #405215
bridge-utils: [PATCH] allowing to specify `bridge_ports' interfaces with regular expressions

version graph

Package: bridge-utils; Maintainer for bridge-utils is Santiago Garcia Mantinan <manty@debian.org>; Source for bridge-utils is src:bridge-utils.

Reported by: Thomas Schwinge <tschwinge@gnu.org>

Date: Mon, 1 Jan 2007 22:48:01 UTC

Severity: wishlist

Tags: patch

Found in version bridge-utils/1.2-1

Fixed in version bridge-utils/1.2-2

Done: Santiago Garcia Mantinan <manty@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Garcia Mantinan <manty@debian.org>:
Bug#405215; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to Thomas Schwinge <tschwinge@gnu.org>:
New Bug report received and forwarded. Copy sent to Santiago Garcia Mantinan <manty@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Schwinge <tschwinge@gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bridge-utils: [PATCH] allowing to specify `bridge_ports' interfaces with regular expressions
Date: Mon, 01 Jan 2007 20:23:25 +0100
[Message part 1 (text/plain, inline)]
Package: bridge-utils
Version: 1.2-1
Severity: wishlist
Tags: patch

Hello!

I created the following patch, which allows for specifying `bridge_ports'
interfaces by using regular expressions, as described in the updated
documentation file.  Please consider to include this patch.


There is a comment in the `postdown' file that could be addressed and /
or there could be some preprocessing mechanism used to avoid the
duplication of code between the two modified program files.


Regards,
 Thomas
[bridge-utils-regex.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Garcia Mantinan <manty@debian.org>:
Bug#405215; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to Thomas Schwinge <tschwinge@gnu.org>:
Extra info received and forwarded to list. Copy sent to Santiago Garcia Mantinan <manty@debian.org>. Full text and rfc822 format available.

Message #10 received at 405215@bugs.debian.org (full text, mbox):

From: Thomas Schwinge <tschwinge@gnu.org>
To: 405215@bugs.debian.org
Subject: bridge-utils: [PATCH] allowing to specify `bridge_ports' interfaces with regular expressions
Date: Thu, 18 Oct 2007 22:05:13 +0200
[Message part 1 (text/plain, inline)]
Hello!

Thanks to Santiago Garcia Mantinan's hint I fixed a shell portability
problem in my patch.  I also added a few more comments to the source code
and also added a further hint to the documentation.  Please use this new
``v2'' patch instead of the older one.


Regards,
 Thomas
[bridge-utils-regex.v2.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405215; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 405215@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: 405215@bugs.debian.org
Subject: Still some problems with the patch
Date: Fri, 19 Oct 2007 23:32:10 +0200
I have done a test right now with "bridge_ports eth.*" and these are the
results:

pul:~# ifup br0
WARNING:  Could not open /proc/net/vlan/config.  Maybe you need to load the
8021q module, or maybe you are not using PROCFS??
ERROR: trying to set name type for VLAN subsystem, error: Package not
installed
Device "eth.*" does not exist.
eth.* does not exist, unable to create eth.*
interface eth.* does not exist!

Waiting for br0 to get ready (MAXWAIT is 12 seconds).
Setting device eth0 for WOL.
pul:~# ifdown br0
eth.*: ERROR while getting interface flags: No such device

It doesn't seem to be processing the regular expresions.

I don't have time right now, if you don't have time for it I'll try to see
what's wrong with it tomorrow.

Regards...
-- 
Manty/BestiaTester -> http://manty.net




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#405215; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 405215@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: 405215@bugs.debian.org
Subject: My fault
Date: Sat, 20 Oct 2007 12:48:20 +0200
Of course that failed, I had forgotten the regex :-)
So... that should have been "bridge_ports regex eth.*"

Sorry, I'm uploading it right now :-)

Thanks for your patch and the quick fix, Thomas, and sorry for the delay in
the upload.

Regards...
-- 
Manty/BestiaTester -> http://manty.net




Reply sent to Santiago Garcia Mantinan <manty@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Schwinge <tschwinge@gnu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 405215-close@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: 405215-close@bugs.debian.org
Subject: Bug#405215: fixed in bridge-utils 1.2-2
Date: Sat, 20 Oct 2007 11:02:02 +0000
Source: bridge-utils
Source-Version: 1.2-2

We believe that the bug you reported is fixed in the latest version of
bridge-utils, which is due to be installed in the Debian FTP archive:

bridge-utils_1.2-2.diff.gz
  to pool/main/b/bridge-utils/bridge-utils_1.2-2.diff.gz
bridge-utils_1.2-2.dsc
  to pool/main/b/bridge-utils/bridge-utils_1.2-2.dsc
bridge-utils_1.2-2_i386.deb
  to pool/main/b/bridge-utils/bridge-utils_1.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 405215@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Garcia Mantinan <manty@debian.org> (supplier of updated bridge-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 15 Oct 2007 22:57:46 +0200
Source: bridge-utils
Binary: bridge-utils
Architecture: source i386
Version: 1.2-2
Distribution: unstable
Urgency: low
Maintainer: Santiago Garcia Mantinan <manty@debian.org>
Changed-By: Santiago Garcia Mantinan <manty@debian.org>
Description: 
 bridge-utils - Utilities for configuring the Linux ethernet bridge
Closes: 405215 406907 410277 431860
Changes: 
 bridge-utils (1.2-2) unstable; urgency=low
 .
   * Fix port no and id reading from sysfs (taken from git).
   * Fix segfault on bridge named "bridge", thanks Robert. Closes: #431860.
   * Fix printing of unknown commands, thanks Julien. Closes: #406907.
   * Fix the FAQ url. Closes: #410277.
   * Apply the regexp patch. Closes: #405215.
Files: 
 cb3cd4142fc502899e3d49a8d8543f01 595 net optional bridge-utils_1.2-2.dsc
 e1e1b1ffc3a0e7afa8616ed52755ee53 11379 net optional bridge-utils_1.2-2.diff.gz
 6864d3c69bd75f18ca90c0596d67f117 29128 net optional bridge-utils_1.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHGRtPcv3CBfajKo4RAu4uAKCTyqXRRcifUQX8XankK20xAUEmnwCdHLpQ
vYWSNY4XJB3gb0ucgReyr/w=
=Ui7A
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Nov 2007 07:25:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:23:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.